Subject: Re: [PATCH] merge-recursive: configurable 'merge' program

From: Jakub Narebski <[email-masked]>
Date: Tue, 5 Dec 2006 16:01:50 +0100

Dnia wtorek 5. grudnia 2006 15:48, Johannes Schindelin napisał:
> 
> On Tue, 5 Dec 2006, Jakub Narebski wrote:
>
>> Hmmm... would it be possible to use xdl_merge() for recursion, and 
>> graphical merge tool for result? <Checks out earlier discussion>. I 
>> think yes, because of exposing xdl_merge() in git-merge-onefile...
> 
> In "next", only git-merge-recursive is converted to use xdl_merge(), and 
> it did not use git-merge-one-file to begin with. Since this is a shell 
> script (with a different syntax than merge), it would have to be converted 
> to a C builtin first. But feasible: git-merge-one-file takes 7 parameters, 
> the first 3 being SHA1s or empty strings. "merge" takes 3 filenames, with 
> possibly up to three "-L <name>" pairs before them.

I thought that Junio implemented (but perhaps not published) some script,
I thought that was git-merge-onefile with some non-standard options,
to function as replacement for RCS' merge, or Diffutils diff3. 

Guess I was wrong (at least there is nothing I can find in pu about this).
-- 
Jakub Narebski